ChangeSet 1.1254.4.41, 2003/06/04 12:34:45-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/video/pm2fb.c


 drivers/video/pm2fb.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/video/pm2fb.c b/drivers/video/pm2fb.c
--- a/drivers/video/pm2fb.c	Wed Jun  4 18:09:03 2003
+++ b/drivers/video/pm2fb.c	Wed Jun  4 18:09:03 2003
@@ -1178,7 +1178,7 @@
 
 static int __init pm2pci_detect(struct pm2fb_info* p) {
 	struct pm2pci_par* pci=&p->board_par.pci;
-	struct pci_dev* dev;
+	struct pci_dev* dev = NULL;
 	int i;
 	unsigned char* m;
 #ifdef __sparc__
@@ -1192,7 +1192,7 @@
 	}
 	DPRINTK("scanning PCI bus for known chipsets...\n");
 
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		for (i = 0; pm2pci_cards[i].vendor; i++)
 			if (pm2pci_cards[i].vendor == dev->vendor &&
 			    pm2pci_cards[i].device == dev->device) {
